<div class=" col-9 col-m-9 hlavni">

  

  <div class="mrg"></div>
  <div class="clanek">
  <div class="odsazeni">

	<h1 class="biggur">Vytvoření postavy:</h1>
	<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
     
     Jméno postavy: <input type="text" name="nejm"><br>
     <br />
     Rasa postavy:  <br />
      <input type="radio" name="race" value="human">
     <label for="kostky4">Rasa: Člověk</label><br />
     <input type="radio" name="race" value="elf">
     <label for="kostky6">Rasa: Elf</label><br />
     <input type="radio" name="race" value="pajzl">
     <label for="kostky10">Rasa: Trpaslík</label><br />
     <br />
     Třída postavy:  <br />
     <input type="radio" name="class" value="warrior">
     <label for="kostky12">Třída: Válečník</label><br />
     <input type="radio" name="class" value="wmage">
     <label for="kostky20">Třída: Světlý Kouzelník</label><br />
     <input type="radio" name="class" value="dmage">
     <label for="kostky20">Třída: Temný Kouzelník</label><br />
     <input type="radio" name="class" value="bow">
     <label for="kostky20">Třída: Průzkumník</label><br />
     <input type="radio" name="class" value="ass">
     <label for="kostky20">Třída: Assassin</label><br />
     <input type="radio" name="res" value="jedna">
     <label for="kostky20">Nacist prvni postavu</label><br />
     <input type="radio" name="res" value="dva">
     <label for="kostky20">Nacist druhou postavu</label><br />

     
<input type="submit">
</form>
  <?php
  
	  session_start();
  $zek= $_POST["race"];
switch ($zek) {
    case "human":
        $sila=23 +(rand(-3,4));
        $vydrz=19 +(rand(0,2));
        $int=21 +(rand(-3,2));
        $obr=19 +(rand(0,1));
        $luck=13 +(rand(0,2));
        $rasa="clovek";
        $r="h";
        break;
    case "elf":
        $sila=25 +(rand(-1,2));
        $vydrz=19 +(rand(-1,1));
        $int=29 +(rand(0,2));
        $obr=21 +(rand(0,2));
        $luck=15 +(rand(-1,4));
        $rasa="elf";
        $r="elf";
        break;
    case "pajzl":
        $sila=29 +(rand(-1,3));
        $vydrz=31 +(rand(0,2));
        $int=15 +(rand(-1,2));
        $obr=12 +(rand(-2,1));
        $luck=22 +(rand(-1,1));
        $rasa="Trpaslik";
        $r="d";
        break;
        default:
        echo "Nope";
}

 $alla= $_POST["class"];
switch ($alla) {
    case "warrior":
        $bons=$sila +5;
        $bonv=$vydrz +4;
        $bonint=$int -2;
        $bono=$obr +1;
        $bonl=$luck +1;
        $pov="Valecnik";
        $cl="wa";
        break;
    case "wmage":
        $bons=$sila -3;
        $bonv=$vydrz -1;
        $bonint=$int +3;
        $bono=$obr+1;
        $bonl=$luck +1;
        $pov="Světlý kouzelnik";
        $cl="wi";
        break;
        case "dmage":
        $bons=$sila -5;
        $bonv=$vydrz +5;
        $bonint=$int +5;
        $bono=$obr-2;
        $bonl=$luck -1;
        $pov="Temný kouzelnik";
        $cl="dw";
        break;
        case "bow":
        $bons=$sila +2;
        $bonv=$vydrz +2;
        $bonint=$int +2;
        $bono=$obr +3;
        $bonl=$luck -1;
        $pov="Pruzkumnik";
        $cl="r";
        break;
        case "ass":
        $bons=$sila +2;
        $bonv=$vydrz -3;
        $bonint=$int +3;
        $bono=$obr +5;
        $bonl=$luck +1;
        $pov="Assassin";
        $cl="a";
        break;
        default:
        echo "Nope";
}
/* $vys=$r.$cl;
echo $vys;
switch ($vys) {
    case "da":
        $photo='<img src="da.jpg">';
        break;
    case "ddw":
        $photo="";
        break;
    case "dr":
        $photo="";
        break;
        case "dwa":
        $photo="";
        break;
        case "dwi":
        $photo="";
        break;
        case "elfa":
        $photo="";
        break;
    case "elfdw":
        $photo="";
        break;
    case "elfr":
        $photo="";
        break;
        case "elfwa":
        $photo="";
        break;
        case "elfwi":
        $photo="";
        break;
        case "ha":
        $photo="";
        break;
    case "hdw":
        $photo="";
        break;
    case "hr":
        $photo="";
        break;
        case "hwa":
        $photo="";
        break;
        case "hwi":
        $photo="";
        break;
        default:
        echo "Nope";
}
*/
$hmlek= $_POST["res"];
switch ($hmlek) {
    case "jedna":
        $ad=1;
        break;
    case "dva":
        $ad=2;
        break;
    
        break;
        default:
        $ad=1;
}

$nejm= $_POST["nejm"];
echo "<br>";
echo "Vitej, ".$nejm.", jsi rasa: ".$rasa." a povolani: ".$pov;
$pov2=$pov;
echo "<br>";
 echo "<br>";
 echo '<table border="1"> <tr> <td>Sila</td> <td>'. $bons.'</td> </tr> <tr> <td>Vydrz</td> <td>'. $bonv.'</td> </tr> <tr> <td>Inteligence</td> <td>'. $bonint.'</td> </tr> <tr> <td>Obratnost</td> <td>'. $bono.'</td> </tr> <tr> <td>Stesti</td> <td>'. $bonl.'</td> </tr></table>';
	
  if ($ad==1) {
  $_SESSION["trida"]=$_POST["class"];
  $_SESSION["rasa"]=$rasa;
  $_SESSION["pov"]=$pov;
  $_SESSION["bons"]=$bons;
  $_SESSION["bonv"]=$bonv;
  $_SESSION["bonint"]=$bonint;
  $_SESSION["bono"]=$bono;
  $_SESSION["bonl"]=$bonl;
  $_SESSION["nejm"] = $nejm;
  }
  echo "<br>";
echo 'Vitej, '.$_SESSION["nejm"] .', jsi rasa: '.$_SESSION["rasa"].' a povolani: '.$_SESSION["pov"];
echo "<br>";
 echo "<br>";
 echo '<table border="1"> <tr> <td>Sila</td> <td>'. $_SESSION["bons"].'</td> </tr> <tr> <td>Vydrz</td> <td>'. $_SESSION["bonv"].'</td> </tr> <tr> <td>Inteligence</td> <td>'. $_SESSION["bonint"].'</td> </tr> <tr> <td>Obratnost</td> <td>'. $_SESSION["bono"].'</td> </tr> <tr> <td>Stesti</td> <td>'. $_SESSION["bonl"].'</td> </tr></table>';
 
 $stats=$_POST["class"];
  switch ($stats) {
    case "warrior":
        $fyzutok=$bons*8;
        $zdravi=$bonv *35;
        $utok=$bonint*4 + $fyzutok;
        $vyhnuti=$bono;
        $stesti=$bonl;
        $pov="Valecnik";
        $cl="wa";
        break;
    case "wmage":
        $fyzutok=$bons*2;
        $zdravi=$bonv*20;
        $utok=$bonint*25 + $fyzutok;
        $vyhnuti=$bono;
        $stesti=$bonl;
        $pov="Světlý kouzelnik";
        $cl="wi";
        break;
        case "dmage":
        $fyzutok=$bons*3;
        $zdravi=$bonv*12;
        $utok=$bonint*30 + $fyzutok;
        $vyhnuti=$bono;
        $stesti=$bonl;
        $pov="Temný kouzelnik";
        $cl="dw";
        break;
        case "bow":
        $fyzutok=$bons*15;
        $zdravi=$bonv*22;
        $utok=$bonint*8 + $fyzutok;
        $vyhnuti=$bono;
        $stesti=$bonl;
        $pov="Pruzkumnik";
        $cl="r";
        break;
        case "ass":
        $fyzutok=$bons*15;
        $zdravi=$bonv*15;
        $utok=$bonint*9 + $fyzutok;
        $vyhnuti=$bono;
        $stesti=$bonl*5;
        $pov="Assassin";
        $cl="a";
        break;
        default:
        echo "Nope";
}
 
 
  $stats2=$_SESSION["trida"];
  switch ($stats2) {
    case "warrior":
        $fyzutok2=$_SESSION["bons"]*8;
        $zdravi2=$_SESSION["bonv"]*35;
        $utok2=$_SESSION["bonint"]*4 + $fyzutok2;
        $vyhnuti2=$_SESSION["bono"];
        $stesti2=$_SESSION["bonl"];
        $pov="Valecnik";
        $cl="wa";
        break;
    case "wmage":
        $fyzutok2=$_SESSION["bons"]*2;
        $zdravi2=$_SESSION["bonv"]*20;
        $utok2=$_SESSION["bonint"]*25 + $fyzutok2;
        $vyhnuti2=$_SESSION["bono"];
        $stesti2=$_SESSION["bonl"];
        $pov="Světlý kouzelnik";
        $cl="wi";
        break;
        case "dmage":
        $fyzutok2=$_SESSION["bons"]*3;
        $zdravi2=$_SESSION["bonv"]*12;
        $utok2=$_SESSION["bonint"]*30 + $fyzutok2;
        $vyhnuti2=$_SESSION["bono"];
        $stesti2=$_SESSION["bonl"];
        $pov="Temný kouzelnik";
        $cl="dw";
        break;
        case "bow":
        $fyzutok2=$_SESSION["bons"]*15;
        $zdravi2=$_SESSION["bonv"]*22;
        $utok2=$_SESSION["bonint"]*8 + $fyzutok2;
        $vyhnuti2=$_SESSION["bono"];
        $stesti2=$_SESSION["bonl"];
        $pov="Pruzkumnik";
        $cl="r";
        break;
        case "ass":
        $fyzutok2=$_SESSION["bons"]*15;
        $zdravi2=$_SESSION["bonv"]*15;
        $utok2=$_SESSION["bonint"]*9 + $fyzutok2;
        $vyhnuti2=$_SESSION["bono"];
        $stesti2=$_SESSION["bonl"]*5;
        $pov="Assassin";
        $cl="a";
        break;
        default:
        echo "Nope";
}
 echo "<br>";
 echo "<br>";
echo '<table border="1"> <tr> <td>Postava</td> <td>'. $nejm.'</td> <td>'.$_SESSION["nejm"].'</td> </tr> <tr> <td>Zivoty</td> <td>'. $zdravi.'</td> <td>'. $zdravi2.'</td> </tr> <tr> <td>Útok</td> <td>'. $utok.'</td> <td>'. $utok2.'</td></tr> <tr> <td>Šance na vyhnutí:</td> <td>'. $vyhnuti.'</td> <td>'. $vyhnuti2.'</td></tr> <tr> <td>Štěstí</td> <td>'. $stesti.'</td> <td>'. $stesti2.'</td></tr></table>';
 
 //boj
$konec=0;
$kolo=1;
     echo '<h3>Prubeh boje: </h3> ';

 while ($konec==0){
  
 if ($stesti>$stesti2) {
  $turn=1;} elseif ($stesti<$stesti2){
  $turn=0;} else {$turn=rand(0,1);}

  if (($turn==1)&&($konec==0)){
    $zdravi2=$zdravi2-$utok;
    echo '<b>'.$kolo.'. kolo:</b><br>';
    echo $_SESSION["nejm"].' bylo ubrano '.$utok.' zdravi, nyni ma '.$zdravi2.' bodu zdravi<br>';
    if ($zdravi2<=0) {$konec=1;} 
    else {
        $zdravi=$zdravi-$utok2;
        echo $nejm.' bylo ubrano '.$utok2.' zdravi, nyni ma '.$zdravi.' bodu zdravi<br>';
        if ($zdravi<=0) {$konec=1;}
         }
    }

    if (($turn==0)&&($konec==0)){
    $zdravi=$zdravi-$utok2;
    echo '<b>'.$kolo.'. kolo:</b> <br>';
    echo $nejm.' bylo ubrano '.$utok2.' zdravi, nyni ma '.$zdravi.' bodu zdravi<br>';
    if ($zdravi<=0) {$konec=1;} 
    else {
        $zdravi2=$zdravi2-$utok;
        echo $_SESSION["nejm"].' bylo ubrano '.$utok.' zdravi, nyni ma '.$zdravi2.' bodu zdravi<br>';
        if ($zdravi2<=0) {$konec=1;}
         }
    }
    $kolo++;
 }
 echo '<h3>Vysledek boje: </h3> ';
 if ($zdravi>$zdravi2) {
    echo 'Vitez je '.$nejm.', byl povolani '.$pov2.' a zbylo mu '.$zdravi.' bodu zdravi<br>';
    echo 'porazeny hrac byl '.$_SESSION["nejm"].', jeho povolani bylo '.$_SESSION["pov"].' a na konci boje mel '.$zdravi2.' bodu zivota.<br>';
 } else {
    echo 'Vitez je '.$_SESSION["nejm"].', byl povolani '.$_SESSION["pov"].' a zbylo mu '.$zdravi2.' bodu zdravi<br>';
    echo 'porazeny hrac byl '.$nejm.', jeho povolani bylo '.$pov.' a na konci boje mel '.$zdravi.' bodu zivota.<br>';
 }

  //echo $photo;
  ?>
  
  
	 </div>
  
   
  </div>    
  </div> 
